/* Farben gelb #ffce2f blau #89a9d9 
#e6d4c6 beige aus griechischer Website
Gelb-beige:
	#fbeac0	
  Hauptfarbe: #f7ddb0	
  #f4cfa0	
  #f1bf85
*/

.space {
  padding: 20px;
}

.space-appartement {
  padding: 50px;
}

@media screen and (max-width: 578px) {
  .space-appartement {
  padding: 50px;
}
}

@media screen and (min-width: 579px) and (max-width: 1070px) {
  .space-appartement {
  padding: 40px;
}

}


/* Header */

.heading--center {
  text-align: center;
}

header {
  height: 100vh;
  background-image: url("../img/Header.png");
  background-position: center center;
  color: #212121;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-attachment: fixed;
}

/* .header--overlay {
  background-color: rgba(255, 255, 255, 0.5);
  height: 100vh;
} */

.header--logo img {
  position: relative;
  display: block;
  width: 20vw;
  margin-left: auto;
  margin-right: auto;
  padding-top: 30vh;
  padding-bottom: auto;
}

@media screen and (max-width: 578px) {

  header {
    background-image: url("../img/Header-mobil.png");
	background-attachment: scroll; /*  wichtig für iOS/Safari */
    background-position: center center;
    background-size: cover;
  }
	/* Spezieller iOS-Fix nur, wenn Safari erkannt wird */
  @supports (-webkit-touch-callout: none) {
    header {
      background-attachment: scroll !important;
    }
  }

  .header--logo img {
    width: 80vw;
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {

	header {
    
	background-attachment: scroll; /*  wichtig für iOS/Safari */
    background-position: center top;
    background-size: cover;
  }
	
  .header--logo img {
    width: 40vw;
  }
}




/* Einleitung */

#Introduction {
  background-color: #f7ddb0;
  padding: 100px 0;
}

.introduction--content {
  display: flex;
  margin: 0 auto;
  max-width: 960px;
}

.introduction--img {
  flex: 4;
  padding: 0px 45px 0px 0px;
}

.introduction--img img {
  display: block;
  width: 100%;
}

.introduction--text {
  flex: 5;
  padding: 0px 0px 0px 45px;
}

@media screen and (max-width: 578px) {

  #Introduction {
    padding: 20px;
    flex-direction: column;
  }

  .introduction--content {
    flex-direction: column;
  }

  .introduction--text {
    padding: 0;
    margin-bottom: 30px;
  }

  .introduction--img {
    padding: 0;
    margin-bottom: 30px;
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {
  .introduction--img {
    padding: 0px 20px 0px 30px;
  }

  .introduction--text {
    padding: 0px 30px 0px 20px;
  }
}




/* Fewo */

#Appartements {
  background-color: #f7ddb0;
  display: block;
}

.appartements {
  display: flex;
  margin: 0 auto;
  max-width: 960px;
}

.appartements--img {
  flex: 4;
  padding: 0px 45px 0px 0px;
  position: relative;
}

.appartements--img img {
  display: block;
  width: 80%;
}


@media screen and (max-width: 578px) {

  #Appartements {
    flex-direction: column;
  }

  .appartements {
    flex-direction: column;
  }

  .appartements--img {
    padding: 20px;
    margin-bottom: 30px;
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {
  .appartements--img {
    padding: 0px 20px 0px 30px;
  }
}

/* Startseite Buttons app1 und app2 */

.button--1 {
  background-color: #f1bf85;
  margin-right: -0.5vw;
  border: 0.3vw solid #f1bf85;
  padding: 1.302vw 5px 1.302vw 13px;
  display: inline-block;
  text-align: center;
  position: absolute;
  top: 12em;
  left: -15%;
  width: 35%;
  z-index: 2;

}

.button--2 {
  background-color: #f1bf85;
  margin-right: -0.5vw;
  border: 0.3vw solid #f1bf85;
  padding: 1.302vw 5px 1.302vw 13px;
  display: inline-block;
  text-align: center;
  position: absolute;
  top: 4em;
  right: 15%;
  width: 35%;
  z-index: 2;

}

@media screen and (max-width: 578px) {

  .button--1 {
    left: 40%;
    top: 6em;
    width: 45%;
  }

    .button--2 {
    margin-right: -0.5vw;
    right: 8%;
    width: 45%;
  }

}

@media screen and (min-width: 579px) and (max-width: 1070px) {
  .button--1 {
    left: 40%;
    top: 6em;
    width: 45%;
  }

    .button--2 {
    margin-right: -0.5vw;
    right: 8%;
    width: 45%;
  }
}




/* Hintergrund Bild */

.background-image {
  height: 80vh;
  background-image: url("../img/impressionen/haus-4.jpg");
  background-color: #f7ddb0;
  background-position: center right;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-attachment: fixed;
}

@media screen and (max-width: 578px) {

 .background-image {
    height: 60vh;
    background-image: none;
    
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {

	.background-image {
		background-attachment: scroll; /*  wichtig für iOS/Safari */
    background-position: center top;
    background-size: cover;
	}
	
.background-image img {
    width: 40vw;
  }
}





#Services {
  background-image: url("../img/impressionen/PHOTO-2025-09-22-21-53-20\ 3.jpg");
  background-color: #fbf2d3;
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
  display: block;
}

.services {
  margin: 0 auto;
  max-width: 1240px;
  padding: 10vh 0 10vh 0;
  align-content: center;
  display: flex;
}

.services img {
  padding: 30px;
}

.services h4 {
  padding-bottom: 30px;
}

.services--block {
  background-color: #fbf2d3;
  background-repeat: no-repeat;
  background-size: cover;
  flex: 1;
  margin: 20px;
  padding: 20px;
  text-align: left;
}



.services--block p,
ul {
  font-size: 15px;
  line-height: 21px;
}


@media screen and (max-width: 578px) {

  .services {
    flex-direction: column;
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {

  .services {
    flex-direction: column;
    max-width: 55%;
    padding: 5vh 0 5vh 0;
  }

  .services img {
    padding: 0 0 30px 0;
  }
}





/* Impressionen */

#References {
  background-color: #f7ddb0;
  padding: 0 0 50px 0;
}

.references--gallery {
  margin: 0 auto;
  max-width: 1240px;
  padding: 0px;
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
}

.references--gallery img {
  height: auto;
  width: 100%;
}

.references--gallery--box {
  box-sizing: border-box;
  padding: 20px 10px;
  height: 400px;
  width: 400px;
  overflow: hidden;
  display: inline-block;
  position: relative;
}

@media screen and (max-width: 578px) {

  .references--gallery {
    flex-direction: column;
  }

  .references--gallery--box {
    width: 100%;
    height: auto;
    padding: 10px 10px;
  }

  
}

@media screen and (min-width: 579px) and (max-width: 1070px) {

  .references--gallery--box {
    height: auto;
    width: auto;
  }
}





/* appartement header */

#Appa-Header {
  padding: 50px 30px;
  background-color: #f7ddb0;
}

.appa-header--gallery {
  margin: 30px auto;
  max-width: 1600px;
  position: relative;
}

.image--top {
  position: absolute;
  top: 8em;
  left: 15%;
  width: 35%;
  z-index: 2;
}

.image--below {
  width: 70%;
  position: relative;
  left: 30%;
  right: auto;
  z-index: 1;
}

.appa-header--content {
  display: flex;
  margin: 80px auto;
  max-width: 960px;
}

.appa-header--img {
  flex: 4;
  padding: 0px 45px 0px 0px;
}

.appa-header--img img {
  display: block;
  width: 100%;
}

.appa-header--text {
  flex: 5;
  padding: 0 0 0 45px;
  align-self: center;
}

@media screen and (max-width: 578px) {

  #Appa-Header {
    padding: 0;
  }

  .image--top {
    width: 50%;
    top: 9em;
    left: 10%;
  }

  .image--below {
    width: 80vw;
    left: 15%;
  }

  .appa-header--content {
    flex-direction: column;
    padding: 30px;
    margin-bottom: 30px;
  }

  .appa-header--img {
    padding: 10px 0;
  }

  .appa-header--text {
    padding: 30px 0 0 0;
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {

  .image--top {
    left: 5%;
  }

  .image--below {
    left: 20%;
  }

  .appa-header--content {
    margin: 80px auto;
    padding: 0 30px 0 30px;
  }

  .appa-header--img {
    padding: 0px 20px 0px 0px;
  }

  .appa-header--text {
    padding: 0 0 0 20px;
  }
}





/* Geschichte */

#Personal {
  padding: 50px 30px;
}

.personal--gallery {
  margin: 30px auto;
  max-width: 1600px;
  position: relative;
}

.image--top {
  position: absolute;
  top: 8em;
  left: 15%;
  width: 35%;
  z-index: 2;
}

.image--below {
  width: 70%;
  position: relative;
  left: 30%;
  right: auto;
  z-index: 1;
}

.personal--content {
  display: flex;
  margin: 80px auto;
  max-width: 960px;
}

.personal--img {
  flex: 4;
  padding: 0px 45px 0px 0px;
}

.personal--img img {
  display: block;
  width: 100%;
}

.personal--text {
  flex: 5;
  padding: 0 0 0 45px;
  align-self: center;
}

@media screen and (max-width: 578px) {

  #Personal {
    padding: 50px 0px;
  }

  .image--top {
    width: 50%;
    top: 9em;
    left: 10%;
  }

  .image--below {
    width: 80vw;
    left: 15%;
  }

  .personal--content {
    flex-direction: column;
    padding: 30px;
    margin-bottom: 30px;
  }

  .personal--img {
    padding: 10px 0;
  }

  .personal--text {
    padding: 30px 0 0 0;
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {

  .image--top {
    left: 5%;
  }

  .image--below {
    left: 20%;
  }

  .personal--content {
    margin: 80px auto;
    padding: 0 30px 0 30px;
  }

  .personal--img {
    padding: 0px 20px 0px 0px;
  }

  .personal--text {
    padding: 0 0 0 20px;
  }
}





/* Kontaktformular */

#Contact {
  padding: 50px 30px 100px 30px;
}

.contact {
  display: flex;
  margin: 0 auto;
  max-width: 1240px;
  justify-content: center;
}

.contact img {
 width: 25vw;
}

.contact--text {
  flex: 1;
  padding: 0px 10px 0px 0px;
  max-width: 20em;
}

.contact--form {
  flex: 1;
  padding: 0px 15px 0px 15px;
}

form {
  width: 100%;
  box-sizing: border-box;
  font-size: 0.6em;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 30px;
}

input {
  border-radius: 0.2em;
  border: 1px solid #ccc;
}

input[type=text] {
  padding: 12px 12px 12px 12px;
  width: 100%;
  box-sizing: border-box;
}

input[type=email] {
  padding: 12px 12px 12px 12px;
  width: 100%;
  box-sizing: border-box;
}

textarea {
  width: 100%;
  box-sizing: border-box;
  border-radius: 0.2em;
  border: 1px solid #ccc;
}

.form--submit input[type=submit] {
  background-color: #3c3c3b;
  color: #fff;
  width: 100%;
  padding: 12px 20px;
  margin-top: 35px;
}

@media screen and (max-width: 578px) {

  #Contact {
    padding: 0;
    margin-bottom: 70px;
  }

  .contact {
    flex-direction: column;
  }

  .contact img {
    width: 100%;
    max-width: 100%;
    height: auto;
    display: block;
}

  .contact--text {
    padding: 30px;
  }

  form {
    grid-template-columns: 1fr;
    padding: 15px;
  }

  .form--column2 {
    grid-column: 1;
    grid-row: 2;
  }

  input[type=text] {
    width: 100%;
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {

  .contact {
    padding: 0 30px;
  }
	
  .contact img {
	width: 100%;
    max-width: 100%;
    height: auto;
    display: block;
  }

  form {
    grid-template-columns: 1fr;
  }

  .form--column2 {
    grid-column: 1;
    grid-row: 2;
  }
}

















/* Footer */

footer {
  background-color: #6B4E38;
  color: #fff;
  padding: 65px 30px;
  z-index: 1;
}

.footer--1 {
  margin: 0 auto;
  padding-bottom: 70px;
  max-width: 1240px;
  display: grid;
}

.footer--1--column1 {
  grid-column: 1;
}

.footer--1--column2 {
  grid-column: 2;
  margin: auto;
}

.footer--1--column3 {
  grid-column: 3;
  margin: 0 0 0 auto;
}

.footer--2 {
  margin: 0 auto;
  max-width: 1240px;
  display: grid;
  grid-template-columns: 10fr 1fr 1fr;
  justify-content: space-between;
}

.footer--2--column1 {
  grid-column: 1;
}

.footer--2--column2 {
  grid-column: 2;
  margin: 0 0 0 auto;
}

.footer--2--column3 {
  grid-column: 3;
  margin: 0 0 0 auto;
}


@media screen and (max-width: 578px) {
  footer {
    padding: 60px 0;
  }

  .footer--1--column1 {
    grid-column: 1;
    margin: 0 auto 0 0;
    padding: 0 0 30px 30px;
  }

  .footer--1--column2 {
    grid-column: 1;
    grid-row: 2;
    margin: 0 auto 0 0;
    padding: 0 0 30px 30px;
  }

  .footer--1--column3 {
    grid-column: 1;
    grid-row: 3;
    margin: 0 auto 0 0;
    padding: 0 0 30px 30px;
  }

  .footer--2 {
    margin: 0 auto;
    grid-template-columns: 2fr 1fr 1fr;
    justify-content: space-between;
    padding: 0 30px;
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {

  footer {
    padding: 60px 30px;
  }

  .footer--1 {
    padding-bottom: 60px;
  }

  .footer--2 {
    margin: 0 auto;
    grid-template-columns: 4fr 1fr 1fr;
    justify-content: space-between;
  }
}






/* Diese Einstellung gilt nur für Geräte mit kleinem Display. Es ordnet die Kacheln vertikal an. */
@media screen and (max-width: 578px) {

  .references--gallery,
  #Introduction,
  .contact {
    flex-direction: column;
  }
}



/* Navigation */

/* Floating Nav */
.floating-nav {
  position: fixed;
  bottom: 40px;
  left: 50%;
  transform: translateX(-50%) translateY(150px); /* Start unterhalb */
  background: rgba(247, 221, 176, 1);
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
  padding: 0.75rem 1.5rem;
  height: 54px;
  border-radius: 999px;
  box-shadow: 0 8px 25px rgba(0,0,0,0.08);
  opacity: 0;
  transition: transform 0.4s ease, opacity 0.4s ease;
  z-index: 1000;
}

.floating-nav .logo-link {
  height: auto;        /* verhindert Streckung von Logo*/
  display: flex;
  align-items: center;
}

.floating-nav .logo-link img {
  height: 30px;        /* feste Höhe von Logo*/
  width: auto;         /* Seitenverhältnis bleibt korrekt */
  display: block;
}

.floating-nav .nav-list li {
  display: flex;
  align-items: center;
}

/* Sichtbar-Zustand */
.floating-nav.visible {
  opacity: 1;
  transform: translateX(-50%) translateY(0);
}

/* Versteckt beim Runterscrollen */
.floating-nav.hidden-scroll {
  transform: translateX(-50%) translateY(100px);
  opacity: 0;
}

.floating-nav .nav-list {
  list-style: none;
  display: flex;
  gap: 1.5rem;
  margin: 0;
  padding: 0;
}

.floating-nav a {
  text-decoration: none;
  color: #000;
  font-size: 1.1rem;
  line-height: 1;
  display: flex;
  align-items: center;
  height: 100%;
  transform: translateY(-2px); /* optische Korrektur für Script-Font */
  transition: opacity 0.2s ease;
}

.menu-btn {
  color: #000;
}

.menu-btn p {
  margin: 0;
  color: #000 !important;
}

.floating-nav a:hover { color: #f1bf85; }

/* Hamburger */
.menu-btn {
  background: rgba(247, 221, 176, 1);
  border-radius: 9px;
  box-shadow: 0 8px 25px rgba(0, 0, 0, 0.3);
  border: none;
  cursor: pointer;
  display: none;      /* Standard: Desktop ausblenden */
  flex-direction: column;
  justify-content: center;
  gap: 4px;
  padding: 6px 8px;
}


/* Backdrop fürs Bottom-Sheet (mobil) */
.drawer-backdrop {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.25);
  opacity: 0;
  pointer-events: none;
  transition: opacity .25s ease;
  z-index: 999; /* unterhalb der Nav (1000), oberhalb Content */
}

/* Wenn Drawer offen */
.floating-nav.drawer-open + .drawer-backdrop {
  opacity: 1;
  pointer-events: auto;
}

/* Drawer-Zustand: Liste als Bottom-Sheet anzeigen (nur mobil relevant) */
.floating-nav.drawer-open .nav-list {
  position: fixed;
  left: 50%;
  bottom: 0px;
  transform: translateX(-50%);

  width: 100%;
  max-width: 420px;

  flex-direction: column;
  background: rgba(247, 221, 176, 1);
  border-radius: 20px;
  padding: 2rem 3.5rem 2rem 3.5rem;
  gap: 0.25rem;

  box-shadow: 0 -12px 30px rgba(11, 4, 4, 0.15);
  z-index: 1001;

  align-items: center;   
  text-align: center;

  animation: drawerSlideUp 0.45s cubic-bezier(.22,.9,.34,1) both;
}
/*
.floating-nav.drawer-open .nav-list li {
  width: 100%;
} */

.floating-nav.drawer-open .nav-list a { 
  display: block;
  width: 100%;
  white-space: nowrap;     /* verhindert Umbruch */
  text-align: center;

  font-size: 1.15rem;
  line-height: 1.2;
  padding: 0.5rem 0;

  transform: none;
}

/* Burger-zu-X Animation */
.floating-nav.drawer-open .menu-btn span:nth-child(2) { opacity: 0; }
.floating-nav.drawer-open .menu-btn span:nth-child(1) { transform: translateY(6px) rotate(45deg); }
.floating-nav.drawer-open .menu-btn span:nth-child(3) { transform: translateY(-6px) rotate(-45deg); }

@keyframes drawerSlideUp {
  0% {
    transform: translate(-50%, 40px);
    opacity: 0;
  }
  60% {
    transform: translate(-50%, -4px);
    opacity: 1;
  }
  100% {
    transform: translate(-50%, 0);
    opacity: 1;
  }
}

/* Body scroll sperren, wenn Drawer offen */
body.no-scroll { overflow: hidden; }

/* ============================
    MOBILE ≤ 578px
   ============================ */
@media screen and (max-width: 578px) {
  .floating-nav {
    bottom: 20px;
    padding: 0.5rem 0.5rem;
    height: 46px;
    gap: 0.75rem;
    background: none !important;   /* Kein Hintergrund */
    box-shadow: none !important;   /*  Kein Schatten */
    padding: 0.25rem;
	justify-content: center; 
	position: fixed;
  }
	
	 /* Logo zentrieren */
  .floating-nav .logo-link {
    left: 50%;
    transform: translateX(-50%);
  }
	
	
  /* Mobil: nur Burger sichtbar, Liste im Drawer */
  .floating-nav .nav-list { display: none; }
  .floating-nav.drawer-open .nav-list { display: flex; } /* im Drawer sichtbar */
  .menu-btn { display: flex; } /* Burger einblenden */
	
}

/* ============================
    AB 579px (Tablet/Desktop)
   ============================ */
@media screen and (min-width: 579px) {
  .floating-nav .nav-list { display: flex; } /* Links zeigen */
  .menu-btn { display: none; }               /* Burger ausblenden */
}





/* IMPRESSUM, AGB, DATENSCHUTZ */

#Impressum {
  margin: 0 auto;
  
}

.impressum {
  margin: 0 auto;
  max-width: 950px;
  padding: 100px 0;

}

.impressum h3 {
  padding: 10px 0;
}

@media screen and (max-width: 578px) {
  .impressum {
    margin: 0 auto;
    max-width: 950px;
    padding: 100px 30px;
  
  }
  
  .impressum h3 {
    padding: 10px 0;
  }
}

@media screen and (min-width: 579px) and (max-width: 1070px) {
  .impressum {
    margin: 0 auto;
    max-width: 950px;
    padding: 100px 30px;
  
  }
  
  .impressum h3 {
    padding: 10px 0;
  }
}